Subject: Multiple CA's in SSLCACertificatePath or SSLCACertificateFile

From: "Mary Peterson" <[email-masked]>
Date: Mon, 01 Apr 2002 12:42:09 -0600

Could someone please help me configure the SSLCACertificatePath or SSLCACertificateFile to allow client certificates from multiple CA's.  I have tried combining both PEM formatted CA files into one SSLCACertificateFile, but it will only read the first ―------Begin Certificate----- ―------End Certificate------ and not the second one.  Is there something else that needs to be added to the file?

I have also tried to use the SSLCACertificatePath and added both CA files to a directory which includes the Makefile file, but I have no idea what to do with the Makefile file.  All documentation says you  have to create symbolic links named hash-value.N, and you should always make sure this directory contains the appropriate symbolic links. Use the Makefile which comes with mod_ssl to accomplish this task.   I have no clue what to do with this file or making hash symbolic links ???

Could someone please guide me in one direction or another to accomplish this task???

Thank you!

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]